%global srcname enchant

Name:		python-enchant	
Version:	3.2.2
Release:	1
Summary:	Cygwin python-enchant packaging 
License:	LGPLv2+
URL:		https://github.com/cygwinports/python-enchant	
Source0:	https://files.pythonhosted.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	enchant-devel
BuildRequires:  python3-devel python3-setuptools

%description
Cygwin python-enchant packaging.

%package -n 	python3-%{srcname}
Summary:        Cygwin python3-enchant packaging 
Requires:       enchant >= 1.5.0
%{?python_provide:%python_provide python3-enchant}

%description -n python3-%{srcname}
Cygwin python3-enchant packaging.

%package_help

%prep
%autosetup -n py%{srcname}-%{version} -p1

rm -rf pyenchant.egg-info
rm -rf %{_builddir}/python3-%{name}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{name}-%{version}-%{release}
find %{_builddir}/python3-%{name}-%{version}-%{release} -name '*.py' | \
	xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
CFLAGS="$RPM_OPT_FLAGS" %py3_build
popd

%install
pushd %{_builddir}/python3-%{name}-%{version}-%{release}
%py3_install \
--single-version-externally-managed
rm -rf %{buildroot}/%{python3_sitelib}/%{srcname}/lib
rm -rf %{buildroot}/%{python3_sitelib}/%{srcname}/share
popd

# Tests are not included in the upstream tarball
##%check

%files  -n python3-%{srcname}
%defattr(-,root,root)
%license LICENSE.txt
%dir %{python3_sitelib}/%{srcname}
%dir %{python3_sitelib}/%{srcname}/__pycache__
%dir %{python3_sitelib}/%{srcname}/checker
%dir %{python3_sitelib}/%{srcname}/checker/__pycache__
%dir %{python3_sitelib}/%{srcname}/tokenize
%dir %{python3_sitelib}/%{srcname}/tokenize/__pycache__
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/__pycache__/*.py[co]
%{python3_sitelib}/%{srcname}/checker/*.py
%{python3_sitelib}/%{srcname}/checker/__pycache__/*.py[co]
%{python3_sitelib}/%{srcname}/tokenize/*.py
%{python3_sitelib}/%{srcname}/tokenize/__pycache__/*.py[co]
%{python3_sitelib}/py%{srcname}-%{version}-py%{python3_version}.egg-info

%files help
%defattr(-,root,root)
%doc README.rst

%changelog
* Fri Apr 29 2022 yaoxin <yaoxin30@h-partners.com> - 3.2.2-1
- Upgrade to 3.2.2

* Sat Dec 18 2021 shixuantong <shixuantong@huawei.com> - 2.0.0-9
- fix build fail

* Thu Oct 22 2020 huanghaitao <huanghaitao8@huawei.com> - 2.0.0-8
- Disable python2 module

* Wed Jun 24 2020 zhanghua <zhanghua40@huawei.com> - 2.0.0-7
- Fix python3.8 complied error

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.0-6
- Package init

